Esko Logo Back to Esko Support
Choose your language for a machine translation:
Skip to end of metadata
Go to start of metadata

The following are the minimum system requirements for additional tools for Imaging Engine 18.1 Powered by Adobe®. Exceeding these requirements will in most cases lead to a performance increase. Running these tools on a system that does not meet these requirements is not supported.

These additional tools for Imaging Engine 18.1 Powered by Adobe® are:

  • Curve Pilot (which can include PressSync Pilot and/or Print Control Wizard)
  • HDFlexo Screens
  • Screen Manager
  • Bitmap Viewer (32-bit or 64-bit)

Minimum requirements

Minimum System Requirements for the additional tools Imaging Engine 18.1 Powered by Adobe®
Processor type and speedOnly 64-bit compatible processor (Intel or AMD) - minimal dual-core, recommended dual quad-core.
RAM

4GB RAM.

For more info about memory limitations in Windows operating systems, please consult this table.

Hard disk

An NTFS volume is required. The software takes about 20 GB of disk space. Also take into account the need for storage of temporary and production data. A backup solution is strongly advised.
Network10/100/1000 Base-T Ethernet, TCP/IP v4 protocol, TCP/IP v6 protocol is not supported.
Graphics and videoMinimum 1280 x 1024 resolution, true color depth.
File servers

All Esko applications running on Windows OS can use data that is available on network shares. These shares need to be on Windows file servers. We recommend to use Windows Server 2008 R2, Windows Server 2012 or Windows Server 2012 R2, Windows Server 2016 or Windows Server 2019 as file server.

Virtualization
  • VMware ESX version
  • Microsoft Hyper-V

Hardware connections, including dongles, proofers, spectrophotometers and others may work, but are not supported. Customers should verify hardware support through their virtualization support channels.

Supported Operating Systems

Recommended operating systems are highlighted in green in the tables below.

If an operating system is not listed in the tables below, it is not supported. Do not try to install Additional Tools for Imaging Engine Powered by Adobe® on a computer running an unsupported operating system.

Windows Server 2019

Edition

64-bit

Windows Server 2019 Standard(tick)
Windows Server 2019 Datacenter(tick)
Windows Server 2019 Essentials(error)

Windows Server 2016

Edition
64-bit
Windows Server 2016 Standard(tick)
Windows Server 2016 Datacenter(tick)
Windows Server 2016 Essentials(error)
Windows Storage Server 2016(error)

Windows Server 2012 R2

Edition64-bit
Windows Server 2012 R2 Standard(tick)
Windows Server 2012 R2 Datacenter(tick)

Windows Server 2012

Edition64-bit
Windows Server 2012 Standard(tick)
Windows Server 2012 Datacenter(tick)

Windows Server 2008 R2

Edition64-bit
  SP1
Windows Server 2008 R2 Standard(error)(tick) (*)
Windows Server 2008 R2 Enterprise(error)(tick) (*)
Windows Server 2008 R2 Datacenter(error)(tick) (*)

(*)
Windows Server 2008 R2 (all editions) is no longer supported for new installations as of Imagine Engine 18.0.1
Upgrading an existing Imagine Engine Server to Imagine Engine 18.1 is still possible on Windows Server 2008 R2, but this will become unsupported soon as well.

Windows 10  (KB170993458: Which versions of Windows 10 are supported?)

Edition64-bit
Windows 10 Home(error)
Windows 10 Pro(tick)
Windows 10 Enterprise

(tick)

Windows 8.1

Edition64-bit 
Windows 8.1(error)
Windows 8.1 Pro(tick)
Windows 8.1 Enterprise(tick)
Windows RT(error)

Windows 8

Edition64-bit 
Windows 8(error)
Windows 8 Pro(tick)
Windows 8 Enterprise(tick)
Windows RT(error)

Windows 7

Edition64-bit
  SP1
Windows 7 Home Basic(error)(error)
Windows 7 Home Premium(error)(error)
Windows 7 Professional(error)(tick)
Windows 7 Enterprise(error)(tick)
Windows 7 Ultimate(error)(tick)

Unsupported Operating Systems

  • 32-bit Windows is not supported (all editions)
  • Windows Server 2012 Essentials
  • Windows Server 2012 Foundation
  • Windows Storage Server 2012 Workgroup
  • Windows Storage Server 2012 Standard
  • Windows Server 2008 R2 ( without Service Pack 1 )

    Windows 2008 R2 with SP1 is a supported OS for upgrades only (see above).
  • Windows Server 2008 (all editions)
  • Windows Server 2003 (all editions)
  • Windows Vista (all editions)
  • Windows 2000 (all editions)

Operating Systems to become unsupported soon:

  • Windows 7 (all editions)
  • Windows Server 2008 R2 (all editions)
System Requirements
Applies to

Curve Pilot

PressSync Pilot

Print Control Wizard

HDFlexo Screens

Screen Manager

Bitmap Viewer

Version18.1
Last revised

 

Useful Links

For installation and user guide, movies, Knowledge base articles, downloads and other support request:
https://www.esko.com/en/support/
Contents